
QGIS Application - Bug report #7464

Removing 1 subgroup from legend in print composer removes 2 subgroups

2013-03-28 06:59 AM - ramon .

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16419

Description

Today I needed to remove a subgroup of items from a legend in a print composer.

I selected the layer title from the list, clicked the minus button and the subgroup and next subgroup below are removed.

Confirmed for win7 (87265c7, 93ade1f) and mac (0005467) installs but probably more widespread.

http://lists.osgeo.org/pipermail/qgis-developer/2013-March/025060.html

Associated revisions

Revision 1dc75dd6 - 2013-05-29 01:44 AM - Nathan Woodrow 

Fix removing composer legend items. Fix #7874 Fix #7464

History

#1 - 2013-03-29 09:58 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

It is a regression since in 1.8 worked as expected.

#2 - 2013-05-06 06:11 PM - Etienne Tourigny

- Subject changed from Removing 1 subgroup from legend removes 2 subgroups to Removing 1 subgroup from legend in print composer removes 2 

subgroups

#3 - 2013-05-28 04:44 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"1dc75dd64fcd4613379f9c28e161c1bd7afa22d1".
